<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetGroupResultV2 StructType
 * @subpackage Structs
 */
class GetGroupResultV2 extends ExecutionResult
{
    /**
     * The Groups
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfGroupResultV2
     */
    public $Groups;
    /**
     * Constructor method for GetGroupResultV2
     * @uses GetGroupResultV2::setGroups()
     * @param \ArrayType\ArrayOfGroupResultV2 $groups
     */
    public function __construct(\ArrayType\ArrayOfGroupResultV2 $groups = null)
    {
        $this
            ->setGroups($groups);
    }
    /**
     * Get Groups value
     * @return \ArrayType\ArrayOfGroupResultV2|null
     */
    public function getGroups()
    {
        return $this->Groups;
    }
    /**
     * Set Groups value
     * @param \ArrayType\ArrayOfGroupResultV2 $groups
     * @return \StructType\GetGroupResultV2
     */
    public function setGroups(\ArrayType\ArrayOfGroupResultV2 $groups = null)
    {
        $this->Groups = $groups;
        return $this;
    }
}
